<p align="center">
  <img src="docs/assets/unlauncher-logo.png">
</p>

<h1 align="center">
  Unlauncher
</h1>

![Build Status](https://github.com/jkuester/unlauncher/workflows/Android%20Master%20Branch%20CI/badge.svg)

> _Freedom from your phone_

[<img src="https://f-droid.org/badge/get-it-on.png"
     alt="Get it on F-Droid"
     height="80">](https://f-droid.org/packages/com.jkuester.unlauncher/)

The goal of Unlauncher is to provide a clean and simple Android launcher experience. We believe you should have easy access to all of your apps without the distraction of bells, whistles, and notifications clamouring for your attention. You want to be able to use your phone, not have your phone use you!

<p float="left">
  <img height="724" width="400" src="docs/assets/home-screen-1.png">
  <img height="724" width="400" src="docs/assets/home-screen-2.png">
</p>

## About

Features:

- List your top apps on the home screen
- No app icons
- Customizable app titles
- Searchable drawer with all apps
- Show/Hide the notification bar on your home screen
- No wallpapers
- Multiple color themes

## What people are saying

<!-- 2020-11-13 -->
zymotux - [Bare-bones smartphone “Unlauncher”](https://write.as/zymotux/bare-bones-smartphone-unlauncher)

<!-- 2020-11-03 -->
Maxime Vaillancourt - [Turning my smartphone into a boring tool](https://maximevaillancourt.com/blog/turning-my-smartphone-into-a-boring-tool)

<!-- 2020-08-29 -->
Linux Lounge - [A Quick Look At Unlauncher - Can This Launcher Help With Smartphone Addicition?](https://odysee.com/@LinuxLounge:b/a-quick-look-at-unlauncher-can-this) (VIDEO)

## Project History

This project is a downstream fork of the great [Slim Launcher](https://github.com/sduduzog/slim-launcher) by [sduduzog](https://github.com/sduduzog). The contributors to that project deserve all the credit for the beautiful layout of this app and most of its functionality.

The main differentiator between Unlauncher and Slim Launcher lies in the number of apps the launcher gives you access too.  Slim Launcher takes the Spartan approach of only allowing access to seven apps. Unlauncher, on the other hand, allows you to pin up to six apps on the home screen and then gives you access to all the rest of your apps by swiping up into a searchable app drawer.

The goal of this project is continue to remain synchronized, where possible, with Slim Launcher and to submit any new contributions back upstream (if they align with the design philosophy and goals of Slim Launcher).

## Communication

If you have any issues or questions, please log a [Github issue](https://github.com/jkuester/unlauncher/issues) for this repository.

## Contributing

Contributions are welcome! Simply open a pull request. See the [development guide](./DEVELOPMENT.md) for details.

If a monetary contribution is more your style, please consider buying [sduduzog](https://github.com/sduduzog) (the author of the original project) a [cup of coffee](https://buymeacoff.ee/sduduzog).
